<?php define('WEARNINGS', 1); 
define('H', $_SERVER['DOCUMENT_ROOT'] . '/');
foreach (array('starting', 'compress', 'worldcms', 'function', 'account') as $kernel){
	require_once H.'kernel/' . $kernel . '.php'; }

$show_all=true; // показ для всех

only_unreg();

if (isset($_GET['pass']) && $_GET['pass']='ok')
$_SESSION['message'] = 'Пароль отправлен вам на E-mail';

if ($set['guest_select']=='1')
$_SESSION['message'] = "Доступ к сайту разрешен только авторизованым пользователям";

$set['title']='Авторизация';
require_once H.'kernel/switch/header.php';

if ((!isset($_SESSION['refer']) || $_SESSION['refer']==NULL)
&& isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER']!=NULL &&
!preg_match('#mail\.php#',$_SERVER['HTTP_REFERER']))
$_SESSION['refer']=str_replace('&','&amp;',preg_replace('#^http://[^/]*/#','/', $_SERVER['HTTP_REFERER']));
?>

<form class='mess' method='post' action='/module/sign-in/checkup.php'>
Логин:<br /><input type='text' name='nick' maxlength='32' /><br />
Пароль:<br /><input type='password' name='pass' maxlength='32' /><br />
<label><input type='checkbox' name='aut_save' value='1' /> Запомнить меня</label><br />
<input type='submit' value='Войти' />
</form>					

<div class='foot'>Еще не заригистрированы? <br /><a href='/module/sign-up/'>Регистрация</a><br /></div>

<?
require_once H.'kernel/switch/footer.php';
?>